<?xml version="1.0" encoding="utf-8"?>
<Entity 
Schema="VCLib" 
Name="TEMPLATE_FIELD_VALUE" 
Description="Значение шаблона" 
PrimaryKey="TemplateFieldValueID">
  <Fields>
    <Attribute Name="TemplateFieldValueID" Index="3020001" Type="guid" Description="Идентификатор" />
    <Attribute Name="Name" Index="3020004" Type="string" Description="Наименование" />
    <Attribute Name="TemplateString" Index="3020005" Type="text" Description="Строка шаблона" />
    <Attribute Name="Category" Index="3020006" Type="string" Description="Категория" />
    <Attribute Name="TextFontSize" Index="3020011" Type="int" Description="Размер шрифта" />
    <Parent Name="TemplateField" Index="3020002" Type="VCLib.TEMPLATE_FIELD" Description="Шаблон поля" Required="1" />
    <Parent Name="Users" Index="3020003" Type="VCLib.BASE_USERS" Description="Пользователь" />
    <Parent Name="UsersGroup" Index="3020008" Type="VCLib.USERS_GROUP" Description="Группы пользователей" />
    <Choice Name="TextValueType" Index="3020010" Description="Тип шаблона" Required="1">
      <Item Name="Текстовый шаблон" Index="0" />
      <Item Name="Список вводившихся значений" Index="1" />
      <Item Name="Html-шаблон" Index="2" />
      <Item Name="Json-шаблон" Index="3" />
    </Choice>
    <Parent Name="TemplateFieldValueConverted" Type="VCLib.TEMPLATE_FIELD_VALUE" Description="Значение json-шаблона(Для конвертации html шаблонов в json)" />
    <Link Name="TemplateFieldValueOriginal" Type="VCLib.TEMPLATE_FIELD_VALUE" Description="Значение шаблона" LinkAttribute="TemplateFieldValueConverted" RemoveAction="0" />
  </Fields>
  <DbMapping>
    <Table name="T_TEMPLATE_FIELD_VALUE">
      <Map Name="TemplateFieldValueID" Column="TemplateFieldValueID" />
      <Map Name="Name" Column="Name" />
      <Map Name="TemplateString" Column="TemplateString" />
      <Map Name="Category" Column="Category" />
      <Map Name="TextFontSize" Column="TextFontSize" />
      <Map Name="TemplateField" Column="TemplateField" />
      <Map Name="Users" Column="Users" />
      <Map Name="UsersGroup" Column="UsersGroup" />
      <Map Name="TextValueType" Column="TextValueType" />
      <Map Name="TemplateFieldValueConverted" Column="TemplateFieldValueConverted" />
    </Table>
  </DbMapping>
  <CalculatingAttributes>
    <Attribute Name="UserName" Index="3020007" Type="string" Description="Имя пользователя" RequiredAttributes="{Users/UserName}" />
  </CalculatingAttributes>
</Entity>